| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
SimpleEDPAttributes Class Reference
eProsima Fast DDS API Reference » RTPS » RTPS Attributes Module.

Class SimpleEDPAttributes, to define the attributes of the Simple Endpoint Discovery Protocol. More...

`#include <RTPSParticipantAttributes.hpp>`

## Public Member Functions

| SimpleEDPAttributes ()
bool | operator== (const SimpleEDPAttributes &b) const

## Public Attributes

bool | use_PublicationWriterANDSubscriptionReader
| Default value true.
bool | use_PublicationReaderANDSubscriptionWriter
| Default value true.

## Detailed Description

Class SimpleEDPAttributes, to define the attributes of the Simple Endpoint Discovery Protocol.

## Constructor & Destructor Documentation

## ◆ SimpleEDPAttributes()

SimpleEDPAttributes | ( |  | ) |

inline

## Member Function Documentation

## ◆ operator==()

bool operator== | ( | const SimpleEDPAttributes & | b | ) | const

inline

## Member Data Documentation

## ◆ use_PublicationReaderANDSubscriptionWriter

bool use_PublicationReaderANDSubscriptionWriter

Default value true.

## ◆ use_PublicationWriterANDSubscriptionReader

bool use_PublicationWriterANDSubscriptionReader

Default value true.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/attributes/RTPSParticipantAttributes.hpp